<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api___a_n_c_s__definitions" kind="group">
    <compoundname>group_ble_service_api_ANCS_definitions</compoundname>
    <title>ANCS Definitions and Data Structures</title>
    <innerclass prot="public" refid="structcy__stc__ble__ancss__char__t">cy_stc_ble_ancss_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ancss__t">cy_stc_ble_ancss_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ancsc__char__t">cy_stc_ble_ancsc_char_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ancsc__t">cy_stc_ble_ancsc_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ancs__char__value__t">cy_stc_ble_ancs_char_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ancs__descr__value__t">cy_stc_ble_ancs_descr_value_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ancss__config__t">cy_stc_ble_ancss_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__ble__ancsc__config__t">cy_stc_ble_ancsc_config_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__ble__service__api___a_n_c_s__definitions_1gaf2d82778858b6ddb4ad69aa318b2d761" kind="enum" prot="public" static="no">
        <name>cy_en_ble_ancs_char_index_t</name>
        <enumvalue id="group__group__ble__service__api___a_n_c_s__definitions_1ggaf2d82778858b6ddb4ad69aa318b2d761a999fe0085bc729b986da47d4882d7ca3" prot="public">
          <name>CY_BLE_ANCS_NS</name>
          <briefdescription>
<para>Notification Source Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___a_n_c_s__definitions_1ggaf2d82778858b6ddb4ad69aa318b2d761ac8de714bc118a671fbe122a161c55b50" prot="public">
          <name>CY_BLE_ANCS_CP</name>
          <briefdescription>
<para>Control Point Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___a_n_c_s__definitions_1ggaf2d82778858b6ddb4ad69aa318b2d761a9108fb9fc54d5e7ff007dcb385299db1" prot="public">
          <name>CY_BLE_ANCS_DS</name>
          <briefdescription>
<para>Data Source Characteristic index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___a_n_c_s__definitions_1ggaf2d82778858b6ddb4ad69aa318b2d761af6a21a8d33d95eeb00e173de51c44788" prot="public">
          <name>CY_BLE_ANCS_CHAR_COUNT</name>
          <briefdescription>
<para>Total Count of ANCS Characteristics. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_ancs_char_index_t: </bold><linebreak />ANC Service Characteristics indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="53" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="47" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="48" />
      </memberdef>
      <memberdef id="group__group__ble__service__api___a_n_c_s__definitions_1ga85e876ea3801c5b315307d0f6458cec7" kind="enum" prot="public" static="no">
        <name>cy_en_ble_ancs_descr_index_t</name>
        <enumvalue id="group__group__ble__service__api___a_n_c_s__definitions_1gga85e876ea3801c5b315307d0f6458cec7a4be3c2cfc0f77c062bf26f11f8afb676" prot="public">
          <name>CY_BLE_ANCS_CCCD</name>
          <briefdescription>
<para>Client Characteristic Configuration descriptor index. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__ble__service__api___a_n_c_s__definitions_1gga85e876ea3801c5b315307d0f6458cec7ac5c217d569811480c86f4b8fb36b70d9" prot="public">
          <name>CY_BLE_ANCS_DESCR_COUNT</name>
          <briefdescription>
<para>Total Count of ANCS descriptors. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_ble_ancs_descr_index_t: </bold><linebreak />ANC Service Characteristic Descriptors indexes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="60" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" bodystart="56" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ancs.h" line="57" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Contains the ANCS specific definitions and data structures used in the ANCS API. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>